> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> Returns the webhooks configured for the authenticated business.



## OpenAPI

````yaml /openapi-v2.en.yaml get /v2/webhooks
openapi: 3.0.0
info:
  title: YP API Partner
  description: Integration documentation for YP API partners.
  version: v2
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Queries
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
  - name: Clients
    description: ''
paths:
  /v2/webhooks:
    get:
      tags:
        - Webhooks
      summary: List webhooks
      description: Returns the webhooks configured for the authenticated business.
      operationId: getWebhooks
      parameters: []
      responses:
        '200':
          description: Configured webhooks.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookResponseDoc'
        '401':
          description: Missing, invalid, or expired token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
      security:
        - bearer: []
components:
  schemas:
    WebhookResponseDoc:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
          description: Unique webhook identifier.
        callbalckUrl:
          type: string
          example: https://partner.example.com/webhooks/yp
          description: URL configured to receive notifications.
        events:
          description: Configured events.
          allOf:
            - $ref: '#/components/schemas/WebhookEventsResponseDoc'
        createdAt:
          type: string
          example: '2026-05-12T12:00:00.000Z'
          description: Creation date.
        updatedAt:
          type: string
          example: '2026-05-12T12:00:00.000Z'
          description: Last update date.
        description:
          type: object
          example: Primary webhook
          nullable: true
          description: Webhook description.
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - SUSPENDED
          example: ACTIVE
          description: Webhook status.
      required:
        - id
        - callbalckUrl
        - events
        - createdAt
        - updatedAt
        - status
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
    WebhookEventsResponseDoc:
      type: object
      properties:
        transaction:
          type: array
          example:
            - completed_transaction
            - failed_transaction
          description: Configured transaction events.
          items:
            type: string
            enum:
              - pending_transaction
              - processing_transaction
              - completed_transaction
              - reject_transaction
              - failed_transaction
              - expired_transaction
      required:
        - transaction
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtained from /v2/auth/login

````